<?php
/**
 * 运行升级脚本
 * @作者 苏相锟 <admin@phpok.com>
 * @版权 深圳市锟铻科技有限公司 / 苏相锟
 * @主页 https://www.phpok.com
 * @版本 5.x
 * @授权 GNU Lesser General Public License  https://www.phpok.com/lgpl.html
 * @时间 2020年7月23日
**/

//增加菜单字段
$flist = $this->db->list_fields('menu');
if($flist && !in_array('submenu',$flist)){
	$sql = "ALTER TABLE ".$this->db->prefix."menu  ADD submenu VARCHAR(255) NOT NULL COMMENT '二级菜单类型'";
	$this->db->query($sql);
}

//更新搜索表
$sql = "CREATE TABLE IF NOT EXISTS `".$this->db->prefix."search` (`id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',`site_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '站点ID',`title` varchar(255) NOT NULL COMMENT '关键字',`dateline` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最后一次执行时间',`hits` int(11) NOT NULL DEFAULT '0' COMMENT '搜索次数',`sign` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0未标记，1已标记',PRIMARY KEY (`id`),KEY `site_id` (`site_id`,`title`)) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='搜索数据统计' AUTO_INCREMENT=1";
$this->db->query($sql);

//增加控制器
$sql = "SELECT * FROM ".$this->db->prefix."sysmenu WHERE appfile='search'";
$rs = $this->db->get_one($sql);
if(!$rs){
	$menu = array('parent_id'=>5,'title'=>'搜索关键字','status'=>1);
	$menu['appfile'] = 'search';
	$menu['taxis'] = 255;
	$menu['site_id'] = 0;
	$menu['icon'] = 'search';
	$insert_id = $this->model('sysmenu')->save($menu);
	if($insert_id){
		$tmparray = array('gid'=>$insert_id,'title'=>'查看','identifier'=>'list','taxis'=>10);
		$this->model('popedom')->save($tmparray);
		$tmparray = array('gid'=>$insert_id,'title'=>'设置','identifier'=>'setting','taxis'=>20);
		$this->model('popedom')->save($tmparray);
		$tmparray = array('gid'=>$insert_id,'title'=>'删除','identifier'=>'delete','taxis'=>30);
		$this->model('popedom')->save($tmparray);
	}
}
